Bug 89646 - Line split/group button not available in Writer/Calc
Summary: Line split/group button not available in Writer/Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Gülşah Köse
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Writer-Toolbars Unify-Across-Apps Toolbar-Split-Group-Buttons
  Show dependency treegraph
 
Reported: 2015-02-25 10:38 UTC by Yousuf Philips (jay)
Modified: 2016-10-23 13:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-02-25 10:38:59 UTC
Impress/Draw have a line and arrow split/group button (.uno:LineToolbox) that would be useful for inclusion in Writer.
Comment 1 Robinson Tryon (qubit) 2015-02-25 21:38:10 UTC
ux-advise -> NEW
Comment 2 Yousuf Philips (jay) 2015-04-25 01:00:28 UTC
The button is also available in Calc.
Comment 3 Commit Notification 2016-02-19 11:54:37 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9829d866468cf4f1b69fc74131fb3ad711645289

tdf#89646 Implement "uno:LineToolbox" command into writer.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-02-28 10:19:28 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=728c9ce48d4e84a6b44d7d50258936f5da34cea4

tdf#89646 Add new buttons into Linetoolbox of writer drawbar.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) 2016-02-28 15:32:34 UTC
Thanks Gulsah for the continuous work. Will these changes also work with Calc, as Calc is missing this as well?
Comment 6 Gülşah Köse 2016-02-28 17:03:48 UTC
(In reply to Yousuf (Jay) Philips from comment #5)
> Thanks Gulsah for the continuous work. Will these changes also work with
> Calc, as Calc is missing this as well?

This changes was only for writer. But i can apply all of it to calc easily. I will continue to work on it.
Comment 7 Gülşah Köse 2016-02-28 18:13:13 UTC
(In reply to Yousuf (Jay) Philips from comment #5)
> Thanks Gulsah for the continuous work. Will these changes also work with
> Calc, as Calc is missing this as well?

Done :) https://gerrit.libreoffice.org/#/c/22748/
Comment 8 Commit Notification 2016-02-28 20:56:25 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ef0a707d1f53e3c55fe355a3797cb6b487db146

Related: tdf#89646 sw: Fix some issues with the new tools

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-02-28 21:20:01 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebfa86c8ff962820b47ad0b4a93b0813c0ccaff5

tdf#89646 Implement "uno:LineToolbox" command into calc.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-02-28 22:06:59 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b24b6b6c3b18d7d934b3f76cc7a787c498ece4a

Related: tdf#89646 sc: Fix some issues with the new tools

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.